Subject: Re: shared addressbook?

From: David L Miller <[email-masked]>
Date: Fri, 27 Sep 1996 14:54:53 -0700

On 24 Sep 1996, Markus Roskothen wrote:

> To who may know it,
> what is the difference between shared and gobal addressbooks? I understand
> the idea of these two but not how to implement shared addressbooks.
> I went through the pine FAQ and the archive and there is some info about
> global addressbooks. I would appreciate if someone can inform me about
> shared addressbooks and how to implement them.

Global addressbooks are usually shared by several users.  Personal
addressbooks can also be shared by several users.  All you need to do
is have everyone specify the same file/path name and set the file
protections so that everyone has access to them.

Note that Pine does not implement a full multi-user locking mechanism
on addressbooks, so you could run into problems if you have several
people trying to simultaneously update the same addressbook... 

--DLM

-- 
|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing, Box 354841
4545 15th Ave NE, Seattle WA 98105, USA